Just a quick warning to anyone who hasn't already upgraded, the deadline is tomorrow, July 1st

Here are the details: 

In compliance with our ePrescribing partners, Surescripts and RelayHealth®, we at PSS want to remind all Lytec MD 9.5.2 customers of the ePrescribing and Lytec Surescripts 10.6 deadline of July 1, 2015.

Our compliant versions to meet this requirement are: 

Medisoft:

Lytec:

 

As of 12:01 AM EST on July 1, 2015, Lytec MD 9.5.2 customers will begin receiving errors in response to the following requests: 

 

If you are still using these functions, please be sure you are making preparations either to upgrade to Lytec MD v11 or to disable these functions prior to July 1, 2015.

Should you call into PSS support to report related error messages while on 9.5.2 on/or after July 1, 2015, we will only be able to recommend that you disable these features and work to upgrade to the SureScripts 10.6 compliant version, V11.

 

ICD-10 Deadline fast approaching!

Please remember that the ICD-10 deadline – October 1, 2015 – is fast approaching. You must be on at least Lytec 2014 SP1 or Lytec MD v11 to utilize this coding structure.

If you need additional information regarding any content in this communication, please reach out to us at info@emailpss.com. 

 

Sincerely,

Your partners at PSS

1-877-527-2407 

info@emailpss.com

 

    

 

To unsubscribe click here, to edit your profile click here.